/*
 * filename: src/arg_parse.h
 * author: Pablo Yanez Trujillo <yanezp@imtek.de>
 */

#ifndef AOFDB_ARG_PARSE_H
#define AOFDB_ARG_PARSE_H

#include "utils.h"

struct ARGS
{
	int flag;
	int argc;
	/* bit 0: create     (-c)
	 * bit 1: addcat     (-a)
	 * bit 2: showcat    (-s)
	 * bit 3: rmcat      (-r)
	 * bit 4: addimage   (-i)
	 * bit 5: showimage  (-f)
	 * bit 6: rmimage    (-m)
	 * bit 7: --force
	 */
	SLL* arguments;
};


int getargs(int argc, char* argv[], struct ARGS* sarg);

void help(const char* name, int error);
void version();

#endif
